      class Rechteck
      {
         constructor(x, y, b, h)
         {
            this.xpos = x;
            this.ypos = y;
            this.breite = b;
            this.hoehe = h;
         }

         verbreitern(db)
         {
            this.breite += db;
         }

         erhoehen(dh)
         {
            this.hoehe += dh;
         }

         skalieren(f)
         {
            this.breite *= f;
            this.hoehe *= f;
         }

         verschieben(dx, dy)
         {
            this.xpos += dx;
            this.ypos += dy;
         }

         toString()
         {
            return "Ort: " + this.xpos + "/" + this.ypos + ", Größe: " + this.breite + "/" + this.hoehe;
         }
      }
